0


0

java -targetコンパイル

1.6があり、1.5でコンパイルしたい場合、Javaプログラムを異なるバージョンでコンパイルするにはどうすればよいですか? 次のようになりますか…​

_ javac -target1.5 tileGen _

しかし、私がそれをするとき、私は得る:

エラー:クラス名 'tileGen’は、注釈処理が明示的に要求された場合にのみ受け入れられます1エラー

2 Answer


4


問題は、 javac`がクラスの名前ではなく、ソースファイルの名前( .javaで終わる)を取ることです。

Try

javac -target 1.5 tileGen.java

代わりに。


1


クラス名に.javaを追加してみてください